
/*
 * Copyright (C) 2010-2020 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * IGuestProcessInputNotifyEvent.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_6_1;

import org.virtualbox_6_1.jaxws.*;
import javax.xml.ws.*;
import java.util.List;


/**
Notification when a guest process' stdin became available.
NOTE: This event is right now not implemented!


Interface ID: <tt>{0DE887F2-B7DB-4616-AAC6-CFB94D89BA78}</tt>
*/
public class IGuestProcessInputNotifyEvent extends IGuestProcessIOEvent
{

    public IGuestProcessInputNotifyEvent(String wrapped, ObjectRefManager objMgr, VboxPortType port)
    {
        super(wrapped, objMgr, port);
    }

/**
Current process input status.
@return org.virtualbox_6_1.ProcessInputStatus
*/
    public org.virtualbox_6_1.ProcessInputStatus getStatus()
    {
        try
        {
            org.virtualbox_6_1.jaxws.ProcessInputStatus retVal = port.iGuestProcessInputNotifyEventGetStatus(obj);
            return org.virtualbox_6_1.ProcessInputStatus.fromValue(retVal.value());
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.getObjMgr(), this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.getObjMgr(), this.port);
        }
    }
    public static IGuestProcessInputNotifyEvent queryInterface(IUnknown obj)
    {
        return obj == null ?  null : new IGuestProcessInputNotifyEvent(obj.getWrapped(), obj.getObjMgr(), obj.getRemoteWSPort());
    }
}
